#
# spec file for package python3-transaction
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-transaction
Version:        1.4.4
Release:        6.1
Summary:        Transaction management for Python
License:        ZPL-2.1
Group:          Development/Libraries/Python
Url:            https://pypi.python.org/pypi/transaction
Source:         http://pypi.python.org/packages/source/t/transaction/transaction-%{version}.tar.gz
BuildRequires:  python3
BuildRequires:  python3-devel
BuildRequires:  python3-distribute
Requires:       python3-zope.interface
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This package contains a generic transaction implementation for Python. It is
mainly used by the ZODB, though.

Note that the data manager API, transaction.interfaces.IDataManager, is
syntactically simple, but semantically complex. The semantics were not easy to
express in the interface. This could probably use more work. The semantics are
presented in detail through examples of a sample data manager in
transaction.tests.test_SampleDataManager.

%prep
%setup -q -n transaction-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES.rst COPYRIGHT.txt LICENSE.txt PKG-INFO README.rst
%{python3_sitelib}/*

%changelog
* Mon May 25 2015 arun@gmx.de
- specfile:
  * update url
  * update copyright year
- update to version 1.4.4:
  * Use the standard valuerefs() method rather than relying on
    implementation details of WeakValueDictionary in WeakSet.
  * Add support for PyPy3.
  * Require 100%% branch coverage (in addition to 100%% statement
    coverage).
* Wed Dec 31 2014 arun@gmx.de
- specfile:
  * update copyright year
  * changes and readme file are now .rst
- update to version 1.4.3:
  * Added support for Python 3.4.
- version 1.4.2 was skipped
- changes from version 1.4.1:
  * Document that values returned by sortKey must be strings, in order to guarantee total ordering.
  * Fix occasional RuntimeError: dictionary changed size during iteration errors in transaction.weakset on Python 3.
* Tue Jan 15 2013 p.drouand@gmail.com
- Initial python3 support
